@model IEnumerable<string>

<div class="d-grid gap-2">
  <a class="btn btn-outline-secondary" asp-action="Index" asp-route-category="">Home</a>
  @foreach (string category in Model ?? Enumerable.Empty<string>())
  {
    <a class="btn @(category == ViewBag.SelectedCategory ? "btn-primary": "btn-outline-secondary")" asp-action="Index"
    asp-route-category="@category" asp-route-productPage="1">@category</a>
  }
</div>